Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
ifaddrs Struct Reference

`#include <win32.h>`

## Data Fields
struct ifaddrs * | ifa_next
char * | ifa_name
u_int | ifa_flags
struct sockaddr * | ifa_addr
struct sockaddr * | ifa_netmask
struct sockaddr * | ifa_broadaddr
struct sockaddr * | ifa_dstaddr
void * | ifa_data

## Detailed Description

Definition at line 240 of file win32.h.

## Field Documentation

## ◆ ifa_addr

struct sockaddr* ifaddrs::ifa_addr

Definition at line 244 of file win32.h.

Referenced by freeifaddrs().

## ◆ ifa_broadaddr

struct sockaddr* ifaddrs::ifa_broadaddr

Definition at line 246 of file win32.h.

## ◆ ifa_data

void* ifaddrs::ifa_data

Definition at line 248 of file win32.h.

## ◆ ifa_dstaddr

struct sockaddr* ifaddrs::ifa_dstaddr

Definition at line 247 of file win32.h.

## ◆ ifa_flags

u_int ifaddrs::ifa_flags

Definition at line 243 of file win32.h.

## ◆ ifa_name

char* ifaddrs::ifa_name

Definition at line 242 of file win32.h.

Referenced by freeifaddrs().

## ◆ ifa_netmask

struct sockaddr* ifaddrs::ifa_netmask

Definition at line 245 of file win32.h.

## ◆ ifa_next

struct ifaddrs* ifaddrs::ifa_next

Definition at line 241 of file win32.h.

Referenced by freeifaddrs().

The documentation for this struct was generated from the following file:

- include/ruby/win32.h